﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Rensyu3
{
    public partial class receiveform : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //ポストバックのときは処理をしない
            if (this.IsPostBack)
            {
                return;
            }

            //HttpContextからデータを取り出して表示
            String message = string.Empty;
            message += this.Context.Items["LastName"] + " ";
            message += this.Context.Items["FirstName"] + " ";
            message += this.Context.Items["Age"];
            this.lblMessage.Text = message;
        }

        protected void btnCommit_Click(object sender, EventArgs e)
        {
            //lblMessageの内容を分解
            String[] data = this.lblMessage.Text.Split(' ');

            //送信URLを作成
            String url = "receiveform2.aspx";
            url += "?lastname=" + data[0];
            url += "&firstname=" + data[1];
            url += "&age=" + data[2];

            //遷移
            this.Response.Redirect(url);
         }

        protected void btnCancel_Click(object sender, EventArgs e)
        {
            this.Response.Redirect("sendform.aspx");
        }
    }
}